# CraftPresence

## [v2.1.0](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.1.0) (2022-05-23)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.0.10...v2.1.0) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- Merge branch 'next'  
- [Fix] Fixed Shim inclusion for Classic Clients below or at 1.12.x  
- [Fix] Fixed a crash in `processCallback` with Analytics  
    - Sleepy person == Sleepy lua code  
- [Fix] Removed unused variable in Analytics\_Functions  
- [Change] Convert prior Metrics system to Dynamic Format  
    - This will allow much easier management of both present and future engines, and also allow what data users wish to send in addition to the prior enable ability. `processCallback` takes in arguments for `self, fieldName, oldValue, and newValue` while `stateCallback` is used for variable assignment and directly used for `processCallback`, so it just uses `self`.  
    - For debugging, a table called `registeredMetrics` has been added to see which metrics are currently active, in addition to seeing their callbacks (Again configurable from the config).  
- [Change] Added Build limitations for the time being  
    - The planned implementation for this will use a similar TOC and callback system to other parts of the addon, though to ensure compatibility, these limiters are in-place to prevent errors.  
- Merge branch 'master' into next  
- [Change] Attempt to remove the limitation on clients for the time being  
- [Change] Initial Implementation of WagoAnalytics  
